@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@1,300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nanum+Gothic&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Serif:opsz,wght@8..144,500&display=swap');


*{
    margin: 0;
    padding: 0;
}
body{
    
        
        background: linear-gradient(#68ff00, transparent), linear-gradient(to top left, #00ff28, transparent), linear-gradient(to top right, #0004ff, transparent);
        background-blend-mode: screen;
       
}   

header{
    width: 100%;
    height: 8vh;
    background-color: rgba(59, 57, 57, 0.938);
    color:white;
    position: sticky;
    top: 0px;
    z-index: 3;

}
#menu-logo{
    display: none;
    height: 27px;
    position: absolute;
    right: 18px;
    top: 15px;
    
}
.nav-items:hover{
    color: #f2bb14;
    text-decoration-line: underline;
    text-decoration-color: #f2bb14;
    text-decoration-thickness: 2px;

}
#nav-items-1:hover{
    color: #f2bb14;
}
#nav-items-1{
    font-size:1.2rem ; 
   
    position: absolute;
    padding: 13px 8px 13px 12px;
    font-family: sans-serif;
    color:white;
    text-decoration: none;
}

ul{
    list-style-type: none;
    display: flex;
    flex-direction: row;
    padding-top: 0.8rem;
    
    

}
#menuList{
    height: 28px;
    position: absolute;
    left: 91px;
    top: 3px;
    width: 400px;
}

#loginList{
    height: 34px;
    width: 140px;
    position: absolute;
    padding-top: 0px;
    top: 4px;
    right: 42px;
}

li a{
    text-decoration: none;
    color: white;
    font-size: 0.9rem;
    padding: 5px 5px 5px 17px ;
    font-family: sans-serif;

}
.btn1{
    width: 4rem;
    height: 30px;
    background-color: #9f0ce1;
    color: white;
    border: 1px solid #9f0ce1;
    border-radius: 7px;
    font-size: 14px;
    

}
#btn-login{
    margin: 6px 8px 6px 8px;
}
#btn-login:hover{
    cursor: pointer;
    background-color: #7f12b1;
}
#btn-signup:hover{
    cursor: pointer;
    background-color: #7f12b1;
}
#btn-signup{
    margin: 6px 8px 6px 8px ;
}
.container{
    width: 100%;
    height: 110vh;
    display: flex;
    justify-content: center;
    margin-top: 28px;
    
}
.main{
    width: 918px;
    height: 500px;
    background:
    linear-gradient(#39353c, transparent), linear-gradient(to top left, #282821, transparent), linear-gradient(to top right, #34343c, transparent);
    display: flex;
    /* justify-content: center; */
    flex-direction: column;
    border-radius: 8px;
    position: relative;

}
#heading1{
    font-size: 23px;
    font-family: Nanum Gothic , sans-serif;
    color: lightgray;
    margin: 24px 48px 12px 48px;
}
#heading2{
    font-size: 73px;
    font-family: sans-serif,monospace;
    color: white;
    font-weight: 700;
    margin: 8px 24px 8px 42px ;
}
.search{
    width: 610px ;
 
    height: 280px;
    position: absolute;
    right: 157px;
    top: 180px;
    margin-top: 70px;
}
.search-bar{
    width: 560px;
    height: 30px;
    padding: 4px 12px 4px 12px;
    border: 2px solid #282425 ;
    border-radius: 8px;
    position: absolute;
    top: 9px;
    right: 9px;
    font-family: sans-serif, monospace;
    font-size: 16px;
}
#search-img{
    /* width: 24px; */
    height: 26px;
    position: absolute;
    top: 16px;
    right: 18px;
    
}
.helpBoxes{
    width: 610px;
    height: 160px;
    position: absolute;
    right: 0px;
    top: 85px;
   
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    overflow: hidden;

}
.box{
    width: 188px;
    height: 92px;
    /* background-color: cyan; */
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 12px;
    margin-bottom: 12px;
    border-radius: 8px;

}
#box1{
    margin-left: 12px;
    background-color: rgb(175, 40, 150);
}
#box1:hover{
    background-color: rgb(144, 68, 130);
    
}
.box-para{
    font-size: 20px;
    font-family: Nanum Gothic , sans-serif;
    font-weight: 600;
    margin-top: 33px;
    color: white;
    text-align: center;

}
#box2{
    /* margin-left: 2px; */
    background-color: brown;
}
#box2:hover{
    background-color: rgb(139, 64, 64);
}
#box3{
    /* margin-left: 3px; */
    background-color: royalblue;
}
#box3:hover{
    background-color: rgb(47, 74, 154);
}

footer{
    width: 100%;
    height: 68px;
    background-color: rgba(59, 57, 57, 0.938);
    
}
.container4{
    width: 1240px;
    height: 52px;
    padding: 6px 8px 6px 8px ;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-left: 31px;
    color: white;
    position: relative;
}

.container4-subtitle{
    display: inline-block;
    font-size: 22px;
    font-family: sans-serif, monospace;
    margin-top: 11px;
    margin-left: 10px;
    transform: translateY(-16px);
}
.container4-logo{
    width: 48px;
    /* background-color: red; */
    height: 48px;
    background-image: url("/img/myImg.jpeg");
    background-size:  48px;
    border-radius: 26px;
    display: inline-block;
    
}
.copyright{
    width: 325px;
    height: 20px;
    padding: 8px 0px 8px 16px ;
    margin: 8px 0px 0px 16px;
    font-family: Roboto,sans-serif,  monospace;
    font-weight: 500;
    border-left: 2px solid lightgray;
    font-size: 17px;
    display: inline-block;
}
.contact-links{
    
    width: 116px;
    height: 30px ;
    display: flex;
    position: absolute;
    right: 22px;
    bottom: 13px;
    
}

.contact-link-img{
    margin-left: 16px;
}


@media only screen and (max-width:500px){
    header{
        height: 8vh;
    }
    .main{
        width: 320px;
        height: 635px;

    }
    .search{
        width: 320px;
        left: 2px;
    }
    .helpBoxes{
        width: 252px;
        height: 400px;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        /* justify-content: center; */
        /* overflow: hidden; */
    }
    #heading1{
        font-size: 1.125rem;
        margin: 12px 24px 12px 24px ;
    }
    #heading2{
        font-size: 2.5rem;
    }
    .search-bar{
        width: 240px;
        right: 28px;
    }
    #search-img{
        right: 34px;
    }
    .box{
        width: 172px;
    }
    .box-para{
        margin-top: 33px;
    }
    #box1{
        margin-left: 5px;
    }
    footer{
        height: 152px;


    }
    .container4{
        width: calc(100% - 40px);
        height: 120px;
        padding: 16px 20px 16px 20px;
        display: flex;
        flex-direction: column;
        margin-left: 0px;
    }
    .container4-box1{
        width: 100%;
        display: flex;
        justify-content: center;
        height: 48px;
        
    }
    .container4-box1-sub{
       position: relative;
    }
    .container4-box2{
        width: 100%;
        
        
    }
    .copyright{
        border-left: 0px;
        padding: 0px;
        margin: 16px 0px 8px 0px;
        font-size: 0.875rem;
        display: flex;
        justify-content: center;
    }
    .contact-links{
        margin-top: 4px;
        width: 100%;
        height: 20px;
        right:0px;
        justify-content: center;

    }
    .container4-subbox{
        margin-top: 9px;
        width: 28px;
    }
    
    .container4-subtitle{
        display: inline-block;
        width: 136px;
        height: 28px;
        transform: translateY(-18px);
        font-size: 1.25rem;
        
        
    }
    .box-para{
        font-size: 18px;
    }
    #btn-login{
        display: none;
    }
    #btn-signup{
        display: none;
    }
    #menu-logo{
        display: inline-block;
        cursor: pointer;
    }
    #menuList {
        width: 100%;
        position: absolute;
        top: 57px;
        right: 0;
        z-index: 2;
        flex-direction: column;
        background: #f2bb14;
        /* padding-top: 0px; */
        padding-bottom: 12px;
        align-items: center;
        justify-content: center;

    }
    li a {
        font-size: 17px;
        font-family: sans-serif;
        /* margin-top: 5px; */
    }
    #menuList{
        overflow: hidden;
        transition: 0.5s;
        padding-bottom: 0px;
        padding-top: 0px;
        left: 0px;
        
    }
    #loginList{
        top: 0px;
        right: 0px;
    }
    #search-img{
        display: inline-block;
    }
    .nav-items:hover{
        color: rgba(59, 57, 57, 0.938);
        text-decoration-line: underline;
        text-decoration-color: rgba(59, 57, 57, 0.938);
        text-decoration-thickness: 2px;
        font-weight: 600;
    
    }
    #nav-items-1{
        padding-top: 16px;
    }
   
}
